Package org.opengis.cite.iso19142.basic.filter

# Class QueryFilterFixture

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.basic.filter.QueryFilterFixture

Direct Known Subclasses:
  `AbstractTemporalTest`, `BBOXTests`, `ComparisonOperatorTests`, `IntersectsTests`, `PropertyIsEqualToOperatorTests`, `PropertyIsLikeOperatorTests`, `PropertyIsNilOperatorTests`, `PropertyIsNullOperatorTests`, `ResourceIdFilterTests`, `SpatialJoinTests`

public class QueryFilterFixture extends BaseFixture
Provides configuration methods that facilitate the testing of query filters by inspecting the application schema and sample data in order to deduce appropriate property names and values to include in filter predicates.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DataSampler`
  `dataSampler`
  Acquires and saves sample data.
  `protected final String`
  `GET_FEATURE_MINIMAL`
  `protected org.apache.xerces.xs.XSModel`
  `model`
  An XSModel object representing the application schema supported by the SUT.
  `protected Map<QName,List<org.apache.xerces.xs.XSElementDeclaration>>`
  `temporalProperties`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryFilterFixture()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildRequestEntity()`
  Builds a DOM Document node representing the entity body for a GetFeature request.
  `void`
  `discardResponseEntity()`
  Discard previous response entity.
  `protected List<org.apache.xerces.xs.XSElementDeclaration>`
  `findTemporalProperties(QName featureType)`
  Finds the temporal properties defined for the specified feature type.
  `org.apache.xerces.xs.XSModel`
  `getModel()`
  `void`
  `initQueryFilterFixture(org.testng.ITestContext testContext)`
  Obtains a DataSampler object from the test suite context (the value of the `SuiteAttribute.SAMPLER attribute`), or adds one if it's not found there.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataSampler

    protected DataSampler dataSampler
    Acquires and saves sample data.

  - ### temporalProperties

    protected Map<QName,List<org.apache.xerces.xs.XSElementDeclaration>> temporalProperties

  - ### model

    protected org.apache.xerces.xs.XSModel model
    An XSModel object representing the application schema supported by the SUT.

  - ### GET_FEATURE_MINIMAL

    protected final String GET_FEATURE_MINIMAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QueryFilterFixture

    public QueryFilterFixture()

- ## Method Details

  - ### initQueryFilterFixture

    @BeforeClass public void initQueryFilterFixture(org.testng.ITestContext testContext)
    Obtains a DataSampler object from the test suite context (the value of the `SuiteAttribute.SAMPLER attribute`), or adds one if it's not found there. A schema model (XSModel) is also obtained from the test suite context by accessing the `xsmodel` attribute.
    Parameters:
      `testContext` - The test (set) context.

  - ### buildRequestEntity

    @BeforeMethod public void buildRequestEntity()
    Builds a DOM Document node representing the entity body for a GetFeature request. A minimal XML representation is read from the classpath ("util/GetFeature-Minimal.xml").

  - ### discardResponseEntity

    @BeforeMethod public void discardResponseEntity()
    Discard previous response entity.

  - ### findTemporalProperties

    protected List<org.apache.xerces.xs.XSElementDeclaration> findTemporalProperties(QName featureType)
    Finds the temporal properties defined for the specified feature type.
    Parameters:
      `featureType` - The qualified name of a feature type (which corresponds to an element declared in an application schema).
    Returns:
      A sequence of element declarations representing simple and complex temporal properties; the list may be empty.

  - ### getModel

    public org.apache.xerces.xs.XSModel getModel()